
DROP PROCEDURE IF EXISTS spMante_Usuario_Sistema_Rol;
CREATE PROCEDURE spMante_Usuario_Sistema_Rol(
	varUsuario  int,
  varSistema  int,
  varRol      int,
  varUsrSys   int
)
BEGIN
	declare varExiste int default 0;
  select count(*) into varExiste from _sys_usuario_sistema_rol
  where id_rol    = varRol
  and id_usuario  = varUsuario
  and id_sistema  = varSistema;
  if varExiste<=0 then
    insert into _sys_usuario_sistema_rol (id_usuario, id_sistema, id_rol, _date_create, _date_update, _user_create, _user_update)
    values(varUsuario, varSistema, varRol, NOW(), NOW(), varUsrSys, varUsrSys);
  end if;
END;